Update educationclass properties
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Update the properties of a class.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | Not supported. |
| Delegated (personal Microsoft account) | Not supported. |
| Application | EduRoster.ReadWrite.All |
HTTP request
PATCH /education/classes/{id}
Request headers
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
| Content-Type | application/json |
Request body
In the request body, supply the values for relevant fields that should be updated. Existing properties that are not included in the request body will maintain their previous values or be recalculated based on changes to other property values. For best performance, don't include existing values that haven't changed.
| Property | Type | Description |
|---|---|---|
| description | String | Description of the class. |
| displayName | String | Name of the class. |
| mailNickname | String | Email alias for sending email to all users if that feature is enabled. |
| classCode | String | Class code used by the school. |
| externalId | String | ID of the class from the syncing system. |
| externalName | String | Name of the class in the syncing system. |
| externalSource | string | How this class was created. Possible values are: sis, manual, enum_sentinel. |
Response
If successful, this method returns a 200 OK response code and an updated educationClass object in the response body.
Example
Request
The following is an example of the request.
PATCH https://graph.microsoft.com/beta/education/classes/11014
Content-type: application/json
{
"description": "History - World History 1",
"displayName": "World History Level 1",
}
Response
The following is an example of the response.
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-type: application/json
{
"id": "11014",
"description": "World History Level 1",
"classCode": "301",
"createdBy": {
"user": {
"displayName": "Susana Rocha",
"id": "14012",
}
},
"displayName": "History - World History 1",
"externalId": "301",
"externalName": "World History Level 1",
"externalSource": "Fabrikam High School",
"mailNickname": "Fabrikam"
}
Feedback
Submit and view feedback for